SetWorkingDir %A_ScriptDir%
SetKeyDelay, 2

^!a::
{
Random, slot_number, NewSeed

outcome_and_probability := []
slot := []

IniRead, players_string, slot_mode.ini, players_section
players := StrSplit(players_string, "`n")

IniRead, slot_spins, slot_mode.ini, slot_section, slot_number_of_spins

player_slots := []
category := ""
slot_message := ""

Loop, read, slot_outcomes.txt
    Loop, parse, A_LoopReadLine, %A_Tab%
        outcome_and_probability.push(A_LoopField)

Loop, % outcome_and_probability.Length() / 2 {
    i := A_Index * 2 - 1
    Loop, % outcome_and_probability[i + 1] {
        slot.push(outcome_and_probability[i])
    }
}

Loop, % players.Length() {
    player_slots.Push(slot.Clone())
}

player := 0
while (player < players.Length()) {
    player++

    Loop, % slot_spins {
        Random, slot_number, 1, player_slots[player].Length()
        slot_message := player_slots[player][slot_number]
        if InStr(player_slots[player][slot_number], "[")
            slot_message := SubStr(player_slots[player][slot_number], 1, InStr(player_slots[player][slot_number], "[") - 2)
        Send, % players[player] . ": " . slot_message
        Send {enter}

        if InStr(player_slots[player][slot_number], "[") {
            category_start := InStr(player_slots[player][slot_number], "[")
            category := SubStr(player_slots[player][slot_number], category_start)

            category_position := 1
            while (!(InStr(player_slots[player][category_position], category)))
                category_position++
    
            category_occurences := 1
            while (InStr(player_slots[player][category_position + category_occurences], category))
                category_occurences++

            player_slots[player].RemoveAt(category_position, category_occurences)
        }
        else {
            outcome_position := 1
            while (player_slots[player][slot_number] != player_slots[player][outcome_position])
                outcome_position++
    
            outcome_occurences := 1
            while (player_slots[player][outcome_position] == player_slots[player][outcome_position + outcome_occurences])
                outcome_occurences++

            player_slots[player].RemoveAt(outcome_position, outcome_occurences)
        }
        Sleep, 500
    }
}
}